# config_i2map.yml
# Config file for i2MAP experiments
mounts:
  - name: "image"
    path: "/Volumes/tatordata"
    host: "i2map.shore.mbari.org"
    port: 8081

plugins:
  - name: "extractor"
    module: "mbari_aidata.plugins.extractors.tap_i2map_media"
    function: "extract_media"

vss:
  project: "901221-Midwater-TimeSeries"
  model: "/mnt/DeepSea-AI/models/i2MAP/mbari-i2map-vits-b8-20251212/"
  output_path: "/mnt/DeepSea-AI/data/i2MAP/processed/vss"

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-i2map"
  port: 6380
  project: "901221-MTS"

tator:
  project: "i2map"
  host: "http://i2map.shore.mbari.org"
  image:
    attributes:
      iso_datetime:
        type: datetime
      depth:
        type: int
  video:
    attributes:
      depth:
        type: float
      iso_start_datetime:
        type: datetime
      is_day:
        type: bool
  tdwa_box:
     attributes:
       label:
        type: string
       score:
        type: float
       verified:
        type: bool
       similarity_score:
        type: float
  box:
    attributes:
      Label:
        type: string
      label_s:
        type: string
      score:
        type: float
      score_s:
        type: float
      cluster:
        type: string
      comment:
        type: string
      delete:
        type: bool
  track_state:
    attributes:
      label:
        type: string
      avg_score:
        type: float
      max_score:
        type: float
      verified:
        type: bool
      num_frames:
        type: int
ffmpeg_path: "/usr/bin/ffmpeg"
